%global aname pvr.hdhomerun
%global kodi_version 21.0

Name:           kodi-addon-pvr-hdhomerun
Version:       21.0.0
Release:        %mkrel 1
Summary:     PVR add-on for Kodi
Group:          Video
License:        GPLv2+
URL:              https://github.com/kodi-pvr/pvr.hdhomerun
Source0:        %{aname}-%{version}-Omega.tar.xz
BuildRequires: kodi-devel
BuildRequires: lib64p8-platform-devel
BuildRequires: lib64hdhomerun-devel
Requires: kodi >= %{kodi_version}
Requires: lib64kodi-platform19
Requires: lib64platform2
Requires: lib64hdhomerun4

%description
%{summary}.

%prep
%setup -qn %{aname}-%{version}-Omega

# Fix spurious-executable-perm on debug package
find . -name '*.h' -or -name '*.cpp' | xargs chmod a-x

%build
cmake CMakeLists.txt
make


%install
rm -rf %buildroot
%make_install

# Fix permissions at installation
find $RPM_BUILD_ROOT%{_datadir}/kodi/addons/ -type f -exec chmod 0644 {} \;
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/kodi/addons/%{aname}/*.so

%files
%{_libdir}/kodi/addons/%{aname}/
%{_datadir}/kodi/addons/%{aname}/

%changelog
* Fri Apr 12 2024 tex - 21.0.0-1pclos2024
- new version

* Wed Feb 01 2023 tex - 20.4.0-1pclos2023
- new version

* Mon Mar 14 2022 tex - 19.1.0-1pclos2022
- new version
